Bug 1026753 - CUPS fails to send job to Windows LPD service
CUPS fails to send job to Windows LPD service
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On: 1026613 1026755
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 06:19 EST by Tim Waugh
Modified: 2015-02-02 13:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1026613
Environment:
Last Closed: 2015-02-02 13:39:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
LPD pcap with ML2540 Driver (24 bytes, application/vnd.tcpdump.pcap)
2013-11-06 22:22 EST, Dan Mossor [danofsatx]
no flags Details
Error log from LPD test (331.67 KB, text/plain)
2013-11-06 22:24 EST, Dan Mossor [danofsatx]
no flags Details
LPD pcap using PCL 4 LF driver (868 bytes, application/vnd.tcpdump.pcap)
2013-11-06 22:43 EST, Dan Mossor [danofsatx]
no flags Details
Error log from LPD test (1.32 MB, text/plain)
2013-11-06 22:44 EST, Dan Mossor [danofsatx]
no flags Details

  None (edit)
Description Tim Waugh 2013-11-05 06:19:00 EST
+++ This bug was initially created as a clone of Bug #1026613 +++

Description of problem:
Attempted to install two different printers to FC20 Beta (Fedora-20-Beta-x86_64-DVD.iso) using cups-bjnp to a Canon MP980 MFP, and both LPD and smb to a Samsung ML2540 laser printer shared from a Windows 8.1 system.

[...]

With LPD through Windows to the Samsung laser, cups again gives no indication of any errors, but the Windows Event Log states "The Line Printer Daemon (LPD) service received commands in an invalid format from 192.168.1.15 and refused the print job. This can occur if the Line Printer Remote (LPR) client is incompatible with the Windows LPD service and Request for Comments (RFC) 1179. Try printing using a different LPR client."

[...]

Version-Release number of selected component (if applicable):
cups 1.7.0
cups-bjnp 1.2.1
cups-libs 1.7.0
cups-pk-helper 0.2.5

How reproducible:
So far, I've only been able to test locally.

Steps to Reproduce:
1. Set up Canon printer on network, and Samsung laser printer shared via Windows 8.1 with both LPD service and anonymous smb access allowed.

2. Add the printers through the CUPS web interface at https://localhost:631 using bjnp, LPD, and smb access.

3. Submit a job to the printers.

Actual results:
Printers indicate they are receiving data, but print jobs are not completed.

Expected results:
Completed print jobs.

Additional info:
The Canon printer works in FC19 using the cups-bjnp package, and configured through the web interface as described above.
Comment 1 Tim Waugh 2013-11-05 07:53:03 EST
Cloned from bug #1026613. Let's concentrate on the LPD issue here.

It would be useful to see the TCP traffic, so we can see exactly where the fault lies.

Please run this command, as root, to capture it:

tcpdump -n -U -s0 -w lpd.pcap port 515

While that command is running, submit a small print job (such as the test page) to queue that uses LPR. When the job has finished/failed, use Ctrl+C to stop the tcpdump command.

Please attach the resulting lpd.pcap file here. Thanks.
Comment 2 Dan Mossor [danofsatx] 2013-11-06 22:22:27 EST
Created attachment 820851 [details]
LPD pcap with ML2540 Driver

First run with official Samsung ML2540 Driver.
Comment 3 Dan Mossor [danofsatx] 2013-11-06 22:24:39 EST
Created attachment 820852 [details]
Error log from LPD test

Error log during test run with ML2540 drivers.
Comment 4 Dan Mossor [danofsatx] 2013-11-06 22:43:37 EST
Created attachment 820855 [details]
LPD pcap using PCL 4 LF driver

PCAP of test using Generic PCL 4 LF Printer - CUPS+Gutenprint v5.2.9 (grayscale, 2-sided printing) driver.
Comment 5 Dan Mossor [danofsatx] 2013-11-06 22:44:36 EST
Created attachment 820856 [details]
Error log from LPD test

Error log from test using Generic PCL 4 LF Printer - CUPS+Gutenprint v5.2.9 (grayscale, 2-sided printing) driver.
Comment 6 Tim Waugh 2013-11-15 12:22:16 EST
Looking at the trace from comment #4:
CUPS sends "I'd like to print to 'queue'".
Windows says "Queue not accepting jobs".

CUPS is behaving correctly. There's really nothing for Windows to complain about:

02 71 75 65 75 65 0a
^  ^^^^^^^^^^^^^^  ^ LF
|         |
|         + 'queue'
|
+- receive print job

exactly like RFC 1179 says, ยง5.2.

Perhaps the SMB issue has the same root cause? Is there a way to see if the queue really isn't accepting jobs?
Comment 7 Dan Mossor [danofsatx] 2015-02-02 13:39:58 EST
I apologize for dropping the ball on this bug. I no longer have the hardware or software referenced herein, so I cannot provide the needed information. I am closing this bug for lack of required info.

Note You need to log in before you can comment on or make changes to this bug.